#include "chdecl.h"
void CH_stdio_proglit(current, sched, cop)
#define ARGUMENTS 50
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto cb4;
    case 4: goto c5;
    case 5: goto cb6;
    case 6: goto c7;
    case 7: goto cb9;
    case 8: goto c10;
    case 9: goto cb11;
    case 10: goto c12;
    case 11: goto cb14;
    case 12: goto c15;
    case 13: goto cb16;
    case 14: goto c17;
    case 15: goto cb19;
    case 16: goto c20;
    case 17: goto cb21;
    case 18: goto c22;
    case 19: goto cb24;
    case 20: goto c25;
    case 21: goto cb26;
    case 22: goto c27;
    case 23: goto cb29;
    case 24: goto c30;
    case 25: goto cb31;
    case 26: goto c32;
    case 27: goto cb34;
    case 28: goto c35;
    case 29: goto cb36;
    case 30: goto c37;
    case 31: goto cb39;
    case 32: goto c40;
    case 33: goto cb41;
    case 34: goto c42;
    case 35: goto cb44;
    case 36: goto c45;
    case 37: goto cb46;
    case 38: goto c47;
    case 39: goto cb49;
    case 40: goto c50;
    case 41: goto cb51;
    case 42: goto c52;
    case 43: goto cb54;
    case 44: goto c55;
    case 45: goto cb56;
    case 46: goto c57;
    case 47: goto cb59;
    case 48: goto c60;
    case 49: goto cb61;
    case 50: goto c62;
    case 51: goto cb64;
    case 52: goto c65;
    case 53: goto cb66;
    case 54: goto c67;
    case 55: goto cb69;
    case 56: goto c70;
    case 57: goto cb71;
    case 58: goto c72;
    case 59: goto cb74;
    case 60: goto c75;
    case 61: goto cb76;
    case 62: goto c77;
    case 63: goto cb79;
    case 64: goto c80;
    case 65: goto cb81;
    case 66: goto c82;
    case 67: goto cb84;
    case 68: goto c85;
    case 69: goto cb86;
    case 70: goto c87;
    case 71: goto cb89;
    case 72: goto c90;
    case 73: goto cb91;
    case 74: goto c92;
    case 75: goto c147;
    case 76: goto cb147;
    case 78: goto cb149;
    case 79: goto c150;
    case 80: goto cb152;
    case 81: goto c153;
    case 82: goto c167;
    case 83: goto cb168;
    case 84: goto c169;
    case 85: goto c171;
    case 86: goto cb175;
    case 87: goto c176;
    case 88: goto c209;
    case 89: goto c211;
    case 90: goto c212;
    case 91: goto cb214;
    case 92: goto c215;
    case 93: goto cb216;
    case 94: goto c217;
    case 95: goto cb227;
    case 96: goto c228;
    case 97: goto cb229;
    case 98: goto c230;
    case 99: goto cb240;
    case 100: goto c241;
    case 101: goto cb246;
    case 102: goto c247;
    case 103: goto cb255;
    case 104: goto c256;
    case 105: goto c258;
    case 106: goto cb263;
    case 107: goto c264;
    case 108: goto c268;
    case 109: goto c271;
    case 110: goto cb273;
    case 111: goto c274;
    case 112: goto cb280;
    case 113: goto c281;
    case 114: goto c283;
    case 115: goto cb288;
    case 116: goto c289;
    case 117: goto c293;
    case 118: goto cb295;
    case 119: goto c296;
    case 120: goto c299;
    case 121: goto cb302;
    case 122: goto c303;
    case 123: goto c312;
    case 124: goto c315;
    case 125: goto cb318;
    case 126: goto c319;
    case 127: goto c320;
    case 128: goto cb325;
    case 129: goto c326;
    case 130: goto c327;
    case 131: goto cb332;
    case 132: goto c333;
    case 133: goto c334;
    case 134: goto cb343;
    case 135: goto c344;
    case 136: goto c345;
    case 137: goto cb348;
    case 138: goto c349;
    case 139: goto c350;
    case 140: goto cb355;
    case 141: goto c356;
    case 142: goto cb358;
    case 143: goto c359;
    case 144: goto cb361;
    case 145: goto c362;
    case 146: goto cb364;
    case 147: goto c365;
    case 148: goto cb367;
    case 149: goto c368;
    case 150: goto cb370;
    case 151: goto c371;
    case 152: goto c372;
    case 153: goto cb380;
    case 154: goto c381;
    case 155: goto cb383;
    case 156: goto c384;
    case 157: goto cb386;
    case 158: goto c387;
    case 159: goto cb389;
    case 160: goto c390;
    case 161: goto cb392;
    case 162: goto c393;
    case 77: goto c395;
    case 163: goto c395;
    case 164: goto c396;
    case 165: goto c398;
    case 166: goto c400;
    case 167: goto cb431;
    case 169: goto cb433;
    case 171: goto cb435;
    case 173: goto c437;
    case 172: goto c443;
    case 170: goto c443;
    case 168: goto c443;
    case 174: goto c443;
    case 175: goto c445;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* discard 0 */
  (*(REF(0).tsdr)->finalize)(REF(0).value,F_DISCARD,sched);
  REF(0).tsdr = & dr_bottom;
/* chs_lit 4 , "readstream" */
  if( !chs_lit(DEF(4),"readstream") ) goto ch_depletion;
  current->ip = 3;
cb4:
/* call 3.2 4 5 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(4),
          arguments[2] = DEF(5),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c5:
/* unwrap 6 5 , 2 */
  if ((ch_returncode = che_unwrap(DEF(6),DEF(5),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 5;
cb6:
/* call 6 3.0 7 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(6),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(7),
          arguments[2+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c7:
/* noop */
  
/* chs_lit 8 , "writestream" */
  if( !chs_lit(DEF(8),"writestream") ) goto ch_depletion;
  current->ip = 7;
cb9:
/* call 3.2 8 9 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(8),
          arguments[2] = DEF(9),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c10:
/* unwrap 10 9 , 4 */
  if ((ch_returncode = che_unwrap(DEF(10),DEF(9),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 9;
cb11:
/* call 10 3.0 11 , 5 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(10),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(11),
          arguments[2+1] = nil,& arguments[0]),QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  return;
c12:
/* noop */
  
/* chs_lit 12 , "readword" */
  if( !chs_lit(DEF(12),"readword") ) goto ch_depletion;
  current->ip = 11;
cb14:
/* call 3.2 12 13 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(12),
          arguments[2] = DEF(13),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c15:
/* unwrap 14 13 , 6 */
  if ((ch_returncode = che_unwrap(DEF(14),DEF(13),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 13;
cb16:
/* call 14 3.0 15 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(14),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(15),
          arguments[2+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c17:
/* noop */
  
/* chs_lit 16 , "writeword" */
  if( !chs_lit(DEF(16),"writeword") ) goto ch_depletion;
  current->ip = 15;
cb19:
/* call 3.2 16 17 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(16),
          arguments[2] = DEF(17),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c20:
/* unwrap 18 17 , 8 */
  if ((ch_returncode = che_unwrap(DEF(18),DEF(17),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 17;
cb21:
/* call 18 3.0 19 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(18),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(19),
          arguments[2+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c22:
/* noop */
  
/* chs_lit 20 , "fclose" */
  if( !chs_lit(DEF(20),"fclose") ) goto ch_depletion;
  current->ip = 19;
cb24:
/* call 3.2 20 21 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(20),
          arguments[2] = DEF(21),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c25:
/* unwrap 22 21 , 10 */
  if ((ch_returncode = che_unwrap(DEF(22),DEF(21),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 21;
cb26:
/* call 22 3.0 23 , 11 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(22),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(23),
          arguments[2+1] = nil,& arguments[0]),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
  return;
c27:
/* noop */
  
/* chs_lit 24 , "pclose" */
  if( !chs_lit(DEF(24),"pclose") ) goto ch_depletion;
  current->ip = 23;
cb29:
/* call 3.2 24 25 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(24),
          arguments[2] = DEF(25),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c30:
/* unwrap 26 25 , 12 */
  if ((ch_returncode = che_unwrap(DEF(26),DEF(25),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 25;
cb31:
/* call 26 3.0 27 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(26),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(27),
          arguments[2+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c32:
/* noop */
  
/* chs_lit 28 , "freopen" */
  if( !chs_lit(DEF(28),"freopen") ) goto ch_depletion;
  current->ip = 27;
cb34:
/* call 3.2 28 29 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(28),
          arguments[2] = DEF(29),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c35:
/* unwrap 30 29 , 14 */
  if ((ch_returncode = che_unwrap(DEF(30),DEF(29),QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 29;
cb36:
/* call 30 3.0 31 , 15 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(30),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(31),
          arguments[2+1] = nil,& arguments[0]),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  return;
c37:
/* noop */
  
/* chs_lit 32 , "clearerr" */
  if( !chs_lit(DEF(32),"clearerr") ) goto ch_depletion;
  current->ip = 31;
cb39:
/* call 3.2 32 33 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(32),
          arguments[2] = DEF(33),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c40:
/* unwrap 34 33 , 16 */
  if ((ch_returncode = che_unwrap(DEF(34),DEF(33),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 33;
cb41:
/* call 34 3.0 35 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(34),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(35),
          arguments[2+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c42:
/* noop */
  
/* chs_lit 36 , "ferror" */
  if( !chs_lit(DEF(36),"ferror") ) goto ch_depletion;
  current->ip = 35;
cb44:
/* call 3.2 36 37 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(36),
          arguments[2] = DEF(37),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c45:
/* unwrap 38 37 , 18 */
  if ((ch_returncode = che_unwrap(DEF(38),DEF(37),QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 37;
cb46:
/* call 38 3.0 39 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(38),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(39),
          arguments[2+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c47:
/* noop */
  
/* chs_lit 40 , "ferrno" */
  if( !chs_lit(DEF(40),"ferrno") ) goto ch_depletion;
  current->ip = 39;
cb49:
/* call 3.2 40 41 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(40),
          arguments[2] = DEF(41),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c50:
/* unwrap 42 41 , 20 */
  if ((ch_returncode = che_unwrap(DEF(42),DEF(41),QUAL(20),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 41;
cb51:
/* call 42 3.0 43 , 21 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(42),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(43),
          arguments[2+1] = nil,& arguments[0]),QUAL(21),sched)) != Normal)
     goto ch_raise_exception;
  return;
c52:
/* noop */
  
/* chs_lit 44 , "feof" */
  if( !chs_lit(DEF(44),"feof") ) goto ch_depletion;
  current->ip = 43;
cb54:
/* call 3.2 44 45 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(44),
          arguments[2] = DEF(45),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c55:
/* unwrap 46 45 , 22 */
  if ((ch_returncode = che_unwrap(DEF(46),DEF(45),QUAL(22),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 45;
cb56:
/* call 46 3.0 47 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(46),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(47),
          arguments[2+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c57:
/* noop */
  
/* chs_lit 48 , "fflush" */
  if( !chs_lit(DEF(48),"fflush") ) goto ch_depletion;
  current->ip = 47;
cb59:
/* call 3.2 48 49 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(48),
          arguments[2] = DEF(49),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c60:
/* unwrap 50 49 , 24 */
  if ((ch_returncode = che_unwrap(DEF(50),DEF(49),QUAL(24),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 49;
cb61:
/* call 50 3.0 51 , 25 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(50),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(51),
          arguments[2+1] = nil,& arguments[0]),QUAL(25),sched)) != Normal)
     goto ch_raise_exception;
  return;
c62:
/* noop */
  
/* chs_lit 52 , "fseek" */
  if( !chs_lit(DEF(52),"fseek") ) goto ch_depletion;
  current->ip = 51;
cb64:
/* call 3.2 52 53 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(52),
          arguments[2] = DEF(53),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c65:
/* unwrap 54 53 , 26 */
  if ((ch_returncode = che_unwrap(DEF(54),DEF(53),QUAL(26),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 53;
cb66:
/* call 54 3.0 55 , 27 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(54),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(55),
          arguments[2+1] = nil,& arguments[0]),QUAL(27),sched)) != Normal)
     goto ch_raise_exception;
  return;
c67:
/* noop */
  
/* chs_lit 56 , "rewind" */
  if( !chs_lit(DEF(56),"rewind") ) goto ch_depletion;
  current->ip = 55;
cb69:
/* call 3.2 56 57 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(56),
          arguments[2] = DEF(57),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c70:
/* unwrap 58 57 , 28 */
  if ((ch_returncode = che_unwrap(DEF(58),DEF(57),QUAL(28),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 57;
cb71:
/* call 58 3.0 59 , 29 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(58),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(59),
          arguments[2+1] = nil,& arguments[0]),QUAL(29),sched)) != Normal)
     goto ch_raise_exception;
  return;
c72:
/* noop */
  
/* chs_lit 60 , "ftell" */
  if( !chs_lit(DEF(60),"ftell") ) goto ch_depletion;
  current->ip = 59;
cb74:
/* call 3.2 60 61 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(60),
          arguments[2] = DEF(61),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c75:
/* unwrap 62 61 , 30 */
  if ((ch_returncode = che_unwrap(DEF(62),DEF(61),QUAL(30),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 61;
cb76:
/* call 62 3.0 63 , 31 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(62),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(63),
          arguments[2+1] = nil,& arguments[0]),QUAL(31),sched)) != Normal)
     goto ch_raise_exception;
  return;
c77:
/* noop */
  
/* chs_lit 64 , "setlinebuf" */
  if( !chs_lit(DEF(64),"setlinebuf") ) goto ch_depletion;
  current->ip = 63;
cb79:
/* call 3.2 64 65 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(64),
          arguments[2] = DEF(65),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c80:
/* unwrap 66 65 , 32 */
  if ((ch_returncode = che_unwrap(DEF(66),DEF(65),QUAL(32),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 65;
cb81:
/* call 66 3.0 67 , 33 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(66),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(67),
          arguments[2+1] = nil,& arguments[0]),QUAL(33),sched)) != Normal)
     goto ch_raise_exception;
  return;
c82:
/* noop */
  
/* chs_lit 68 , "fstat" */
  if( !chs_lit(DEF(68),"fstat") ) goto ch_depletion;
  current->ip = 67;
cb84:
/* call 3.2 68 69 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(68),
          arguments[2] = DEF(69),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c85:
/* unwrap 70 69 , 34 */
  if ((ch_returncode = che_unwrap(DEF(70),DEF(69),QUAL(34),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 69;
cb86:
/* call 70 3.0 71 , 35 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(70),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(71),
          arguments[2+1] = nil,& arguments[0]),QUAL(35),sched)) != Normal)
     goto ch_raise_exception;
  return;
c87:
/* noop */
  
/* chs_lit 72 , "fileno" */
  if( !chs_lit(DEF(72),"fileno") ) goto ch_depletion;
  current->ip = 71;
cb89:
/* call 3.2 72 73 , 1 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2),
          arguments[1] = DEF(72),
          arguments[2] = DEF(73),
          arguments[2+1] = nil,& arguments[0]),QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  return;
c90:
/* unwrap 74 73 , 36 */
  if ((ch_returncode = che_unwrap(DEF(74),DEF(73),QUAL(36),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 73;
cb91:
/* call 74 3.0 75 , 37 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(74),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(75),
          arguments[2+1] = nil,& arguments[0]),QUAL(37),sched)) != Normal)
     goto ch_raise_exception;
  return;
c92:
/* noop */
  
/* new_record 3.3 , 24 */
  if ((ch_val.record = new_record(24)) == nil) goto ch_depletion;
  (*(REF(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3).value,F_DISCARD,sched);
  REF(3)DOT(3).value = ch_val; REF(3)DOT(3).tsdr = & dr_record;
/* new_inport 76 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76).value = ch_val; REF(76).tsdr = & dr_inport;
/* connect 3.3.0 76 */
  if (REF(76).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(0).tsdr)->finalize)(REF(3)DOT(3)DOT(0).value
    ,F_DISCARD,sched);
  REF(76).value.inport->refcount++;
  REF(3)DOT(3)DOT(0).value.outport = REF(76).value.inport;
  REF(3)DOT(3)DOT(0).tsdr = & dr_outport;
/* new_inport 77 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).value = ch_val; REF(77).tsdr = & dr_inport;
/* connect 3.3.1 77 */
  if (REF(77).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(1).tsdr)->finalize)(REF(3)DOT(3)DOT(1).value
    ,F_DISCARD,sched);
  REF(77).value.inport->refcount++;
  REF(3)DOT(3)DOT(1).value.outport = REF(77).value.inport;
  REF(3)DOT(3)DOT(1).tsdr = & dr_outport;
/* new_inport 78 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).value = ch_val; REF(78).tsdr = & dr_inport;
/* connect 3.3.2 78 */
  if (REF(78).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(2).tsdr)->finalize)(REF(3)DOT(3)DOT(2).value
    ,F_DISCARD,sched);
  REF(78).value.inport->refcount++;
  REF(3)DOT(3)DOT(2).value.outport = REF(78).value.inport;
  REF(3)DOT(3)DOT(2).tsdr = & dr_outport;
/* new_inport 79 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).value = ch_val; REF(79).tsdr = & dr_inport;
/* connect 3.3.3 79 */
  if (REF(79).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(3).tsdr)->finalize)(REF(3)DOT(3)DOT(3).value
    ,F_DISCARD,sched);
  REF(79).value.inport->refcount++;
  REF(3)DOT(3)DOT(3).value.outport = REF(79).value.inport;
  REF(3)DOT(3)DOT(3).tsdr = & dr_outport;
/* new_inport 80 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  REF(80).value = ch_val; REF(80).tsdr = & dr_inport;
/* connect 3.3.5 80 */
  if (REF(80).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(5).tsdr)->finalize)(REF(3)DOT(3)DOT(5).value
    ,F_DISCARD,sched);
  REF(80).value.inport->refcount++;
  REF(3)DOT(3)DOT(5).value.outport = REF(80).value.inport;
  REF(3)DOT(3)DOT(5).tsdr = & dr_outport;
/* new_inport 81 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81).value = ch_val; REF(81).tsdr = & dr_inport;
/* connect 3.3.6 81 */
  if (REF(81).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(6).tsdr)->finalize)(REF(3)DOT(3)DOT(6).value
    ,F_DISCARD,sched);
  REF(81).value.inport->refcount++;
  REF(3)DOT(3)DOT(6).value.outport = REF(81).value.inport;
  REF(3)DOT(3)DOT(6).tsdr = & dr_outport;
/* new_inport 82 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).value = ch_val; REF(82).tsdr = & dr_inport;
/* connect 3.3.7 82 */
  if (REF(82).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(7).tsdr)->finalize)(REF(3)DOT(3)DOT(7).value
    ,F_DISCARD,sched);
  REF(82).value.inport->refcount++;
  REF(3)DOT(3)DOT(7).value.outport = REF(82).value.inport;
  REF(3)DOT(3)DOT(7).tsdr = & dr_outport;
/* new_inport 83 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  REF(83).value = ch_val; REF(83).tsdr = & dr_inport;
/* connect 3.3.8 83 */
  if (REF(83).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(8).tsdr)->finalize)(REF(3)DOT(3)DOT(8).value
    ,F_DISCARD,sched);
  REF(83).value.inport->refcount++;
  REF(3)DOT(3)DOT(8).value.outport = REF(83).value.inport;
  REF(3)DOT(3)DOT(8).tsdr = & dr_outport;
/* new_inport 84 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  REF(84).value = ch_val; REF(84).tsdr = & dr_inport;
/* connect 3.3.4 84 */
  if (REF(84).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(4).tsdr)->finalize)(REF(3)DOT(3)DOT(4).value
    ,F_DISCARD,sched);
  REF(84).value.inport->refcount++;
  REF(3)DOT(3)DOT(4).value.outport = REF(84).value.inport;
  REF(3)DOT(3)DOT(4).tsdr = & dr_outport;
/* new_inport 85 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).value = ch_val; REF(85).tsdr = & dr_inport;
/* connect 3.3.9 85 */
  if (REF(85).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(9).tsdr)->finalize)(REF(3)DOT(3)DOT(9).value
    ,F_DISCARD,sched);
  REF(85).value.inport->refcount++;
  REF(3)DOT(3)DOT(9).value.outport = REF(85).value.inport;
  REF(3)DOT(3)DOT(9).tsdr = & dr_outport;
/* new_inport 86 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).value = ch_val; REF(86).tsdr = & dr_inport;
/* connect 3.3.10 86 */
  if (REF(86).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(10).tsdr)->finalize)(REF(3)DOT(3)DOT(10).value
    ,F_DISCARD,sched);
  REF(86).value.inport->refcount++;
  REF(3)DOT(3)DOT(10).value.outport = REF(86).value.inport;
  REF(3)DOT(3)DOT(10).tsdr = & dr_outport;
/* new_inport 87 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87).value = ch_val; REF(87).tsdr = & dr_inport;
/* connect 3.3.11 87 */
  if (REF(87).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(11).tsdr)->finalize)(REF(3)DOT(3)DOT(11).value
    ,F_DISCARD,sched);
  REF(87).value.inport->refcount++;
  REF(3)DOT(3)DOT(11).value.outport = REF(87).value.inport;
  REF(3)DOT(3)DOT(11).tsdr = & dr_outport;
/* new_inport 88 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).value = ch_val; REF(88).tsdr = & dr_inport;
/* connect 3.3.12 88 */
  if (REF(88).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(12).tsdr)->finalize)(REF(3)DOT(3)DOT(12).value
    ,F_DISCARD,sched);
  REF(88).value.inport->refcount++;
  REF(3)DOT(3)DOT(12).value.outport = REF(88).value.inport;
  REF(3)DOT(3)DOT(12).tsdr = & dr_outport;
/* new_inport 89 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  REF(89).value = ch_val; REF(89).tsdr = & dr_inport;
/* connect 3.3.13 89 */
  if (REF(89).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(13).tsdr)->finalize)(REF(3)DOT(3)DOT(13).value
    ,F_DISCARD,sched);
  REF(89).value.inport->refcount++;
  REF(3)DOT(3)DOT(13).value.outport = REF(89).value.inport;
  REF(3)DOT(3)DOT(13).tsdr = & dr_outport;
/* new_inport 90 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).value = ch_val; REF(90).tsdr = & dr_inport;
/* connect 3.3.14 90 */
  if (REF(90).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(14).tsdr)->finalize)(REF(3)DOT(3)DOT(14).value
    ,F_DISCARD,sched);
  REF(90).value.inport->refcount++;
  REF(3)DOT(3)DOT(14).value.outport = REF(90).value.inport;
  REF(3)DOT(3)DOT(14).tsdr = & dr_outport;
/* new_inport 91 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).value = ch_val; REF(91).tsdr = & dr_inport;
/* connect 3.3.15 91 */
  if (REF(91).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(15).tsdr)->finalize)(REF(3)DOT(3)DOT(15).value
    ,F_DISCARD,sched);
  REF(91).value.inport->refcount++;
  REF(3)DOT(3)DOT(15).value.outport = REF(91).value.inport;
  REF(3)DOT(3)DOT(15).tsdr = & dr_outport;
/* new_inport 92 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).value = ch_val; REF(92).tsdr = & dr_inport;
/* connect 3.3.16 92 */
  if (REF(92).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(16).tsdr)->finalize)(REF(3)DOT(3)DOT(16).value
    ,F_DISCARD,sched);
  REF(92).value.inport->refcount++;
  REF(3)DOT(3)DOT(16).value.outport = REF(92).value.inport;
  REF(3)DOT(3)DOT(16).tsdr = & dr_outport;
/* new_inport 93 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).value = ch_val; REF(93).tsdr = & dr_inport;
/* connect 3.3.17 93 */
  if (REF(93).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(17).tsdr)->finalize)(REF(3)DOT(3)DOT(17).value
    ,F_DISCARD,sched);
  REF(93).value.inport->refcount++;
  REF(3)DOT(3)DOT(17).value.outport = REF(93).value.inport;
  REF(3)DOT(3)DOT(17).tsdr = & dr_outport;
/* new_inport 94 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).value = ch_val; REF(94).tsdr = & dr_inport;
/* connect 3.3.18 94 */
  if (REF(94).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(18).tsdr)->finalize)(REF(3)DOT(3)DOT(18).value
    ,F_DISCARD,sched);
  REF(94).value.inport->refcount++;
  REF(3)DOT(3)DOT(18).value.outport = REF(94).value.inport;
  REF(3)DOT(3)DOT(18).tsdr = & dr_outport;
/* new_inport 95 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).value = ch_val; REF(95).tsdr = & dr_inport;
/* connect 3.3.19 95 */
  if (REF(95).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(19).tsdr)->finalize)(REF(3)DOT(3)DOT(19).value
    ,F_DISCARD,sched);
  REF(95).value.inport->refcount++;
  REF(3)DOT(3)DOT(19).value.outport = REF(95).value.inport;
  REF(3)DOT(3)DOT(19).tsdr = & dr_outport;
/* new_inport 96 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).value = ch_val; REF(96).tsdr = & dr_inport;
/* connect 3.3.20 96 */
  if (REF(96).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(20).tsdr)->finalize)(REF(3)DOT(3)DOT(20).value
    ,F_DISCARD,sched);
  REF(96).value.inport->refcount++;
  REF(3)DOT(3)DOT(20).value.outport = REF(96).value.inport;
  REF(3)DOT(3)DOT(20).tsdr = & dr_outport;
/* new_inport 97 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(97).tsdr)->finalize)(REF(97).value,F_DISCARD,sched);
  REF(97).value = ch_val; REF(97).tsdr = & dr_inport;
/* connect 3.3.21 97 */
  if (REF(97).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(21).tsdr)->finalize)(REF(3)DOT(3)DOT(21).value
    ,F_DISCARD,sched);
  REF(97).value.inport->refcount++;
  REF(3)DOT(3)DOT(21).value.outport = REF(97).value.inport;
  REF(3)DOT(3)DOT(21).tsdr = & dr_outport;
/* new_inport 98 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  REF(98).value = ch_val; REF(98).tsdr = & dr_inport;
/* connect 3.3.22 98 */
  if (REF(98).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(22).tsdr)->finalize)(REF(3)DOT(3)DOT(22).value
    ,F_DISCARD,sched);
  REF(98).value.inport->refcount++;
  REF(3)DOT(3)DOT(22).value.outport = REF(98).value.inport;
  REF(3)DOT(3)DOT(22).tsdr = & dr_outport;
/* new_inport 99 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(99).tsdr)->finalize)(REF(99).value,F_DISCARD,sched);
  REF(99).value = ch_val; REF(99).tsdr = & dr_inport;
/* connect 3.3.23 99 */
  if (REF(99).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(3)DOT(23).tsdr)->finalize)(REF(3)DOT(3)DOT(23).value
    ,F_DISCARD,sched);
  REF(99).value.inport->refcount++;
  REF(3)DOT(3)DOT(23).value.outport = REF(99).value.inport;
  REF(3)DOT(3)DOT(23).tsdr = & dr_outport;
/* copy 100 3.1 */
  REF(100) = REF(3)DOT(1);
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* block , 38 */
  if((ch_returncode = che_block(QUAL(38),sched)) != Normal)
     goto ch_raise_exception;
c145:
/* noop */
  
c147:
  current->ip = 76;
cb147:
/* select 76 * 77 * 78 * 79 * 80 * 81 * 82 * 83 * 84 * 85 * 86 * 87 * 88 * 89 * 90 * 91 * 92 * 93 * 94 * 95 * 96 * 97 * 98 * 99 * , 39 */
  if ((ch_returncode = che_select((
          arguments[0] = DEF(76),
          arguments[1] = NO_OBJECT,
          arguments[2] = DEF(77),
          arguments[3] = NO_OBJECT,
          arguments[4] = DEF(78),
          arguments[5] = NO_OBJECT,
          arguments[6] = DEF(79),
          arguments[7] = NO_OBJECT,
          arguments[8] = DEF(80),
          arguments[9] = NO_OBJECT,
          arguments[10] = DEF(81),
          arguments[11] = NO_OBJECT,
          arguments[12] = DEF(82),
          arguments[13] = NO_OBJECT,
          arguments[14] = DEF(83),
          arguments[15] = NO_OBJECT,
          arguments[16] = DEF(84),
          arguments[17] = NO_OBJECT,
          arguments[18] = DEF(85),
          arguments[19] = NO_OBJECT,
          arguments[20] = DEF(86),
          arguments[21] = NO_OBJECT,
          arguments[22] = DEF(87),
          arguments[23] = NO_OBJECT,
          arguments[24] = DEF(88),
          arguments[25] = NO_OBJECT,
          arguments[26] = DEF(89),
          arguments[27] = NO_OBJECT,
          arguments[28] = DEF(90),
          arguments[29] = NO_OBJECT,
          arguments[30] = DEF(91),
          arguments[31] = NO_OBJECT,
          arguments[32] = DEF(92),
          arguments[33] = NO_OBJECT,
          arguments[34] = DEF(93),
          arguments[35] = NO_OBJECT,
          arguments[36] = DEF(94),
          arguments[37] = NO_OBJECT,
          arguments[38] = DEF(95),
          arguments[39] = NO_OBJECT,
          arguments[40] = DEF(96),
          arguments[41] = NO_OBJECT,
          arguments[42] = DEF(97),
          arguments[43] = NO_OBJECT,
          arguments[44] = DEF(98),
          arguments[45] = NO_OBJECT,
          arguments[46] = DEF(99),
          arguments[47] = NO_OBJECT,
          arguments[47+1] = nil,& arguments[0]),QUAL(39),sched)) != Normal)
     goto ch_raise_exception;
  if (current->ip == 76) return; else COMPUTE_TARGET;
c149:
  current->ip = 78;
cb149:
/* receive 101 76 */
  if ((ch_returncode = che_receive(DEF(101),DEF(76),sched)) != Normal)
     goto ch_raise_exception;
  return;
c150:
/* ilit 102 , 1 */
  REF(102).value.integer = 1;
  REF(102).tsdr = & dr_integer;
/* boolean 103 , FALSE */
  REF(103).value.boolean = FALSE;
  REF(103).tsdr = & dr_boolean;
  current->ip = 80;
cb152:
/* call 7 102 103 104 105 , 40 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(102),
          arguments[2] = DEF(103),
          arguments[3] = DEF(104),
          arguments[4] = DEF(105),
          arguments[4+1] = nil,& arguments[0]),QUAL(40),sched)) != Normal)
     goto ch_raise_exception;
  return;
c153:
/* move 106 105 */
  REF(106) = REF(105);
  REF(105).tsdr = & dr_bottom;
/* equal . 106 =(0) , 158 */
  if ( REF(106).value.enumeration == 0 ) goto c158;
/* branch , 160 */
   goto c160;
c158:
/* return_exception 101 , 41 */
  if (ch_caller = do_return(REF(101).value)) {
    raise_user(QUAL(41),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(101),QUAL(41));
  REF(101).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c160:
/* privatize 104 */
  if (REF(104).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(104))) != Normal)
       goto ch_raise_exception;
/* initget 107 104 , 0,0 */
  (*(REF(107).tsdr)->finalize)(REF(107).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(107),DEF(104),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 107 104 */
  if ((ch_returncode = get_selected_object(DEF(107),DEF(104)
    ,sched)) != Normal) goto ch_raise_exception;
/* remove 101.0 107 104 */
  if ((ch_returncode = che_remove(DEF(101)DOT(0),DEF(107),DEF(104)
    ,sched)) != Normal) goto ch_raise_exception;
/* endget 107 104 */
  end_selector(DEF(107),DEF(104),sched,GET);
/* return 101 */
  if (ch_caller = do_return(REF(101).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(101).value);
  REF(101).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c167:
/* block , 42 */
  if((ch_returncode = che_block(QUAL(42),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 83;
cb168:
/* receive 108 77 */
  if ((ch_returncode = che_receive(DEF(108),DEF(77),sched)) != Normal)
     goto ch_raise_exception;
  return;
c169:
/* chs_lit 108.0 , "" */
  if( !chs_lit(DEF(108)DOT(0),"") ) goto ch_depletion;
c171:
/* noop */
  
/* ilit 109 , 80 */
  REF(109).value.integer = 80;
  REF(109).tsdr = & dr_integer;
/* boolean 110 , TRUE */
  REF(110).value.boolean = TRUE;
  REF(110).tsdr = & dr_boolean;
  current->ip = 86;
cb175:
/* call 7 109 110 104 111 , 40 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(109),
          arguments[2] = DEF(110),
          arguments[3] = DEF(104),
          arguments[4] = DEF(111),
          arguments[4+1] = nil,& arguments[0]),QUAL(40),sched)) != Normal)
     goto ch_raise_exception;
  return;
c176:
/* move 106 111 */
  REF(106) = REF(111);
  REF(111).tsdr = & dr_bottom;
/* equal . 106 =(0) , 185 */
  if ( REF(106).value.enumeration == 0 ) goto c185;
/* equal . 106 =(1) , 195 */
  if ( REF(106).value.enumeration == 1 ) goto c195;
/* equal . 106 =(2) , 197 */
  if ( REF(106).value.enumeration == 2 ) goto c197;
/* branch , 207 */
   goto c207;
c185:
/* size 112 108.0 */
  REF(112).value.integer = REF(108)DOT(0).value.table->size;
  REF(112).tsdr = & dr_integer;
/* ile . 112 =(0) , 191 */
  if ( REF(112).value.integer <= 0 ) goto c191;
/* return 108 */
  if (ch_caller = do_return(REF(108).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(108).value);
  REF(108).tsdr = & dr_bottom;
/* branch , 193 */
   goto c193;
c191:
/* discard 108.0 */
  (*(REF(108)DOT(0).tsdr)->finalize)(REF(108)DOT(0).value,F_DISCARD,sched);
  REF(108)DOT(0).tsdr = & dr_bottom;
/* return_exception 108 , 43 */
  if (ch_caller = do_return(REF(108).value)) {
    raise_user(QUAL(43),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(108),QUAL(43));
  REF(108).tsdr = & dr_bottom;
c193:
/* exit , 44 */
  ch_e = handler_type__exit; ch_val = QUAL(44); goto ch_exception;
c195:
/* merge 108.0 104 */
  if ((ch_returncode = mergefunc(DEF(108)DOT(0),DEF(104),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 171 */
   goto c171;
c197:
/* privatize 104 */
  if (REF(104).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(104))) != Normal)
       goto ch_raise_exception;
/* size 113 104 */
  REF(113).value.integer = REF(104).value.table->size;
  REF(113).tsdr = & dr_integer;
/* isubtract 114 113 =(1) */
  if (!chf_isubtract(DEF(114),REF(113).value.integer,1)) goto ch_depletion;
/* lookup_at 115 104 114 */
  if((ch_i = REF(114).value.integer) < 0 || ch_i >= (ch_t = REF(104).value
    .table)->size) goto ch_notfound;
  (*(REF(115).tsdr)->finalize)(REF(115).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(115).value,ch_i);
  REF(115).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 116 104 114 */
  if ((ch_returncode = remove_at_func(DEF(116),DEF(104),REF(114).value.integer
    )) != Normal) goto ch_raise_exception;
/* merge 108.0 104 */
  if ((ch_returncode = mergefunc(DEF(108)DOT(0),DEF(104),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* return 108 */
  if (ch_caller = do_return(REF(108).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(108).value);
  REF(108).tsdr = & dr_bottom;
/* exit , 44 */
  ch_e = handler_type__exit; ch_val = QUAL(44); goto ch_exception;
c207:
/* exit , 45 */
  ch_e = handler_type__exit; ch_val = QUAL(45); goto ch_exception;
c209:
/* endblock */
  che_endblock(sched);
/* branch , 212 */
   goto c212;
c211:
/* discard 104 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).tsdr = & dr_bottom;
c212:
/* discard 108 */
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c214:
  current->ip = 91;
cb214:
/* receive 117 78 */
  if ((ch_returncode = che_receive(DEF(117),DEF(78),sched)) != Normal)
     goto ch_raise_exception;
  return;
c215:
/* boolean 118 , TRUE */
  REF(118).value.boolean = TRUE;
  REF(118).tsdr = & dr_boolean;
  current->ip = 93;
cb216:
/* call 7 117.0 118 117.1 119 , 40 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(117)DOT(0),
          arguments[2] = DEF(118),
          arguments[3] = DEF(117)DOT(1),
          arguments[4] = DEF(119),
          arguments[4+1] = nil,& arguments[0]),QUAL(40),sched)) != Normal)
     goto ch_raise_exception;
  return;
c217:
/* move 106 119 */
  REF(106) = REF(119);
  REF(119).tsdr = & dr_bottom;
/* equal . 106 =(0) , 222 */
  if ( REF(106).value.enumeration == 0 ) goto c222;
/* branch , 225 */
   goto c225;
c222:
/* discard 117.1 */
  (*(REF(117)DOT(1).tsdr)->finalize)(REF(117)DOT(1).value,F_DISCARD,sched);
  REF(117)DOT(1).tsdr = & dr_bottom;
/* return_exception 117 , 46 */
  if (ch_caller = do_return(REF(117).value)) {
    raise_user(QUAL(46),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(117),QUAL(46));
  REF(117).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c225:
/* return 117 */
  if (ch_caller = do_return(REF(117).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(117).value);
  REF(117).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c227:
  current->ip = 95;
cb227:
/* receive 120 79 */
  if ((ch_returncode = che_receive(DEF(120),DEF(79),sched)) != Normal)
     goto ch_raise_exception;
  return;
c228:
/* boolean 121 , FALSE */
  REF(121).value.boolean = FALSE;
  REF(121).tsdr = & dr_boolean;
  current->ip = 97;
cb229:
/* call 7 120.0 121 120.1 122 , 40 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(7),
          arguments[1] = DEF(120)DOT(0),
          arguments[2] = DEF(121),
          arguments[3] = DEF(120)DOT(1),
          arguments[4] = DEF(122),
          arguments[4+1] = nil,& arguments[0]),QUAL(40),sched)) != Normal)
     goto ch_raise_exception;
  return;
c230:
/* move 106 122 */
  REF(106) = REF(122);
  REF(122).tsdr = & dr_bottom;
/* equal . 106 =(0) , 235 */
  if ( REF(106).value.enumeration == 0 ) goto c235;
/* branch , 238 */
   goto c238;
c235:
/* discard 120.1 */
  (*(REF(120)DOT(1).tsdr)->finalize)(REF(120)DOT(1).value,F_DISCARD,sched);
  REF(120)DOT(1).tsdr = & dr_bottom;
/* return_exception 120 , 46 */
  if (ch_caller = do_return(REF(120).value)) {
    raise_user(QUAL(46),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(120),QUAL(46));
  REF(120).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c238:
/* return 120 */
  if (ch_caller = do_return(REF(120).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(120).value);
  REF(120).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c240:
  current->ip = 99;
cb240:
/* receive 123 80 */
  if ((ch_returncode = che_receive(DEF(123),DEF(80),sched)) != Normal)
     goto ch_raise_exception;
  return;
c241:
/* new_table 104 , 47 */
  if ((ch_returncode = che_new_table(DEF(104),QUAL(47),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 124 123.0 */
  if((ch_returncode = (REF(123)DOT(0).tsdr->copy)(& ch_val, 
    REF(123)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(124).tsdr)->finalize)(REF(124).value,F_DISCARD,sched);
  REF(124).value = ch_val;
  REF(124).tsdr = datarepmap[REF(123)DOT(0).tsdr->number];
/* insert 104 124 */
  if ((ch_returncode = insertfunc(DEF(104),DEF(124),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ilit 125 , 0 */
  REF(125).value.integer = 0;
  REF(125).tsdr = & dr_integer;
/* ilit 126 , 1 */
  REF(126).value.integer = 1;
  REF(126).tsdr = & dr_integer;
  current->ip = 101;
cb246:
/* call 11 104 125 126 127 , 48 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11),
          arguments[1] = DEF(104),
          arguments[2] = DEF(125),
          arguments[3] = DEF(126),
          arguments[4] = DEF(127),
          arguments[4+1] = nil,& arguments[0]),QUAL(48),sched)) != Normal)
     goto ch_raise_exception;
  return;
c247:
/* move 128 127 */
  REF(128) = REF(127);
  REF(127).tsdr = & dr_bottom;
/* notequal . 128 =(1) , 253 */
  if ( REF(128).value.integer != 1 ) goto c253;
/* return 123 */
  if (ch_caller = do_return(REF(123).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(123).value);
  REF(123).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c253:
/* discard 123 */
  (*(REF(123).tsdr)->finalize)(REF(123).value,F_DISCARD,sched);
  REF(123).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c255:
  current->ip = 103;
cb255:
/* receive 129 81 */
  if ((ch_returncode = che_receive(DEF(129),DEF(81),sched)) != Normal)
     goto ch_raise_exception;
  return;
c256:
/* ilit 130 , 0 */
  REF(130).value.integer = 0;
  REF(130).tsdr = & dr_integer;
c258:
/* size 131 129.0 */
  REF(131).value.integer = REF(129)DOT(0).value.table->size;
  REF(131).tsdr = & dr_integer;
/* ige . 130 131 , 268 */
  if ( REF(130).value.integer >= REF(131).value.integer ) goto c268;
/* size 132 129.0 */
  REF(132).value.integer = REF(129)DOT(0).value.table->size;
  REF(132).tsdr = & dr_integer;
/* isubtract 133 132 130 */
  if (!chf_isubtract(DEF(133),REF(132).value.integer,REF(130).value.integer))
     goto ch_depletion;
  current->ip = 106;
cb263:
/* call 11 129.0 130 133 134 , 48 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11),
          arguments[1] = DEF(129)DOT(0),
          arguments[2] = DEF(130),
          arguments[3] = DEF(133),
          arguments[4] = DEF(134),
          arguments[4+1] = nil,& arguments[0]),QUAL(48),sched)) != Normal)
     goto ch_raise_exception;
  return;
c264:
/* move 128 134 */
  REF(128) = REF(134);
  REF(134).tsdr = & dr_bottom;
/* iadd 130 130 128 */
  if (!chf_iadd(DEF(130),REF(130).value.integer,REF(128).value.integer))
     goto ch_depletion;
/* branch , 258 */
   goto c258;
c268:
/* new_table 104 , 47 */
  if ((ch_returncode = che_new_table(DEF(104),QUAL(47),sched)) != Normal) 
     goto ch_raise_exception;
/* ordenum_lit 135 , 10 */
  REF(135).value.ord_enum = 10;
  REF(135).tsdr = & dr_ord_enumeration;
/* insert 104 135 */
  if ((ch_returncode = insertfunc(DEF(104),DEF(135),FALSE,0)) != Normal)
     goto ch_raise_exception;
c271:
/* ilit 136 , 0 */
  REF(136).value.integer = 0;
  REF(136).tsdr = & dr_integer;
/* ilit 137 , 1 */
  REF(137).value.integer = 1;
  REF(137).tsdr = & dr_integer;
  current->ip = 110;
cb273:
/* call 11 104 136 137 138 , 48 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11),
          arguments[1] = DEF(104),
          arguments[2] = DEF(136),
          arguments[3] = DEF(137),
          arguments[4] = DEF(138),
          arguments[4+1] = nil,& arguments[0]),QUAL(48),sched)) != Normal)
     goto ch_raise_exception;
  return;
c274:
/* noop */
  
/* notequal . 138 =(0) , 278 */
  if ( REF(138).value.integer != 0 ) goto c278;
/* branch , 271 */
   goto c271;
c278:
/* return 129 */
  if (ch_caller = do_return(REF(129).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(129).value);
  REF(129).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c280:
  current->ip = 112;
cb280:
/* receive 139 82 */
  if ((ch_returncode = che_receive(DEF(139),DEF(82),sched)) != Normal)
     goto ch_raise_exception;
  return;
c281:
/* ilit 140 , 0 */
  REF(140).value.integer = 0;
  REF(140).tsdr = & dr_integer;
c283:
/* size 141 139.0 */
  REF(141).value.integer = REF(139)DOT(0).value.table->size;
  REF(141).tsdr = & dr_integer;
/* ige . 140 141 , 293 */
  if ( REF(140).value.integer >= REF(141).value.integer ) goto c293;
/* size 142 139.0 */
  REF(142).value.integer = REF(139)DOT(0).value.table->size;
  REF(142).tsdr = & dr_integer;
/* isubtract 143 142 140 */
  if (!chf_isubtract(DEF(143),REF(142).value.integer,REF(140).value.integer))
     goto ch_depletion;
  current->ip = 115;
cb288:
/* call 11 139.0 140 143 144 , 48 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11),
          arguments[1] = DEF(139)DOT(0),
          arguments[2] = DEF(140),
          arguments[3] = DEF(143),
          arguments[4] = DEF(144),
          arguments[4+1] = nil,& arguments[0]),QUAL(48),sched)) != Normal)
     goto ch_raise_exception;
  return;
c289:
/* move 128 144 */
  REF(128) = REF(144);
  REF(144).tsdr = & dr_bottom;
/* iadd 140 140 128 */
  if (!chf_iadd(DEF(140),REF(140).value.integer,REF(128).value.integer))
     goto ch_depletion;
/* branch , 283 */
   goto c283;
c293:
/* return 139 */
  if (ch_caller = do_return(REF(139).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(139).value);
  REF(139).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c295:
  current->ip = 118;
cb295:
/* receive 145 83 */
  if ((ch_returncode = che_receive(DEF(145),DEF(83),sched)) != Normal)
     goto ch_raise_exception;
  return;
c296:
/* ilit 146 , 0 */
  REF(146).value.integer = 0;
  REF(146).tsdr = & dr_integer;
/* block , 49 */
  if((ch_returncode = che_block(QUAL(49),sched)) != Normal)
     goto ch_raise_exception;
c299:
/* ige . 146 145.1 , 312 */
  if ( REF(146).value.integer >= REF(145)DOT(1).value.integer ) goto c312;
/* isubtract 147 145.1 146 */
  if (!chf_isubtract(DEF(147),REF(145)DOT(1).value.integer,
    REF(146).value.integer)) goto ch_depletion;
  current->ip = 121;
cb302:
/* call 11 145.0 146 147 148 , 48 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11),
          arguments[1] = DEF(145)DOT(0),
          arguments[2] = DEF(146),
          arguments[3] = DEF(147),
          arguments[4] = DEF(148),
          arguments[4+1] = nil,& arguments[0]),QUAL(48),sched)) != Normal)
     goto ch_raise_exception;
  return;
c303:
/* move 128 148 */
  REF(128) = REF(148);
  REF(148).tsdr = & dr_bottom;
/* notequal . 128 =(0) , 309 */
  if ( REF(128).value.integer != 0 ) goto c309;
/* exit , 50 */
  ch_e = handler_type__exit; ch_val = QUAL(50); goto ch_exception;
c309:
/* iadd 146 146 128 */
  if (!chf_iadd(DEF(146),REF(146).value.integer,REF(128).value.integer))
     goto ch_depletion;
/* branch , 299 */
   goto c299;
c312:
/* exit , 50 */
  ch_e = handler_type__exit; ch_val = QUAL(50); goto ch_exception;
/* endblock */
  che_endblock(sched);
/* branch , 396 */
   goto c396;
c315:
/* move 145.1 146 */
  REF(145)DOT(1) = REF(146);
  REF(146).tsdr = & dr_bottom;
/* return 145 */
  if (ch_caller = do_return(REF(145).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(145).value);
  REF(145).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c318:
  current->ip = 125;
cb318:
/* receive 149 84 */
  if ((ch_returncode = che_receive(DEF(149),DEF(84),sched)) != Normal)
     goto ch_raise_exception;
  return;
c319:
/* call 15 149.0 150 , 51 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(15),
          arguments[1] = DEF(149)DOT(0),
          arguments[2] = DEF(150),
          arguments[2+1] = nil,& arguments[0]),QUAL(51),sched)) != Normal)
     goto ch_raise_exception;
  return;
c320:
/* branch_false 150 , 323 */
  if ( !REF(150).value.boolean ) goto c323;
/* return_exception 149 , 52 */
  if (ch_caller = do_return(REF(149).value)) {
    raise_user(QUAL(52),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(149),QUAL(52));
  REF(149).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c323:
/* return 149 */
  if (ch_caller = do_return(REF(149).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(149).value);
  REF(149).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c325:
  current->ip = 128;
cb325:
/* receive 151 85 */
  if ((ch_returncode = che_receive(DEF(151),DEF(85),sched)) != Normal)
     goto ch_raise_exception;
  return;
c326:
/* call 19 151.0 152 , 53 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(19),
          arguments[1] = DEF(151)DOT(0),
          arguments[2] = DEF(152),
          arguments[2+1] = nil,& arguments[0]),QUAL(53),sched)) != Normal)
     goto ch_raise_exception;
  return;
c327:
/* branch_false 152 , 330 */
  if ( !REF(152).value.boolean ) goto c330;
/* discard 151 */
  (*(REF(151).tsdr)->finalize)(REF(151).value,F_DISCARD,sched);
  REF(151).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c330:
/* return 151 */
  if (ch_caller = do_return(REF(151).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(151).value);
  REF(151).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c332:
  current->ip = 131;
cb332:
/* receive 153 86 */
  if ((ch_returncode = che_receive(DEF(153),DEF(86),sched)) != Normal)
     goto ch_raise_exception;
  return;
c333:
/* call 23 154 , 54 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(23),
          arguments[1] = DEF(154),
          arguments[1+1] = nil,& arguments[0]),QUAL(54),sched)) != Normal)
     goto ch_raise_exception;
  return;
c334:
/* move 128 154 */
  REF(128) = REF(154);
  REF(154).tsdr = & dr_bottom;
/* notequal . 128 =(0) , 340 */
  if ( REF(128).value.integer != 0 ) goto c340;
/* return 153 */
  if (ch_caller = do_return(REF(153).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(153).value);
  REF(153).tsdr = & dr_bottom;
/* branch , 341 */
   goto c341;
c340:
/* return_exception 153 , 55 */
  if (ch_caller = do_return(REF(153).value)) {
    raise_user(QUAL(55),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(153),QUAL(55));
  REF(153).tsdr = & dr_bottom;
c341:
/* exit , 56 */
  ch_e = handler_type__exit; ch_val = QUAL(56); goto ch_exception;
c343:
  current->ip = 134;
cb343:
/* receive 155 87 */
  if ((ch_returncode = che_receive(DEF(155),DEF(87),sched)) != Normal)
     goto ch_raise_exception;
  return;
c344:
/* call 27 , 57 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(27),
          arguments[0+1] = nil,& arguments[0]),QUAL(57),sched)) != Normal)
     goto ch_raise_exception;
  return;
c345:
/* return 155 */
  if (ch_caller = do_return(REF(155).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(155).value);
  REF(155).tsdr = & dr_bottom;
/* exit , 56 */
  ch_e = handler_type__exit; ch_val = QUAL(56); goto ch_exception;
c348:
  current->ip = 137;
cb348:
/* receive 156 88 */
  if ((ch_returncode = che_receive(DEF(156),DEF(88),sched)) != Normal)
     goto ch_raise_exception;
  return;
c349:
/* call 31 156.0 156.1 157 , 58 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(31),
          arguments[1] = DEF(156)DOT(0),
          arguments[2] = DEF(156)DOT(1),
          arguments[3] = DEF(157),
          arguments[3+1] = nil,& arguments[0]),QUAL(58),sched)) != Normal)
     goto ch_raise_exception;
  return;
c350:
/* branch_false 157 , 353 */
  if ( !REF(157).value.boolean ) goto c353;
/* return 156 */
  if (ch_caller = do_return(REF(156).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(156).value);
  REF(156).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c353:
/* return_exception 156 , 59 */
  if (ch_caller = do_return(REF(156).value)) {
    raise_user(QUAL(59),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(156),QUAL(59));
  REF(156).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c355:
  current->ip = 140;
cb355:
/* receive 158 89 */
  if ((ch_returncode = che_receive(DEF(158),DEF(89),sched)) != Normal)
     goto ch_raise_exception;
  return;
c356:
/* send 35 158 */
  if ((ch_returncode = che_send(DEF(35),DEF(158),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 396 */
   goto c396;
c358:
  current->ip = 142;
cb358:
/* receive 159 90 */
  if ((ch_returncode = che_receive(DEF(159),DEF(90),sched)) != Normal)
     goto ch_raise_exception;
  return;
c359:
/* send 39 159 */
  if ((ch_returncode = che_send(DEF(39),DEF(159),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 396 */
   goto c396;
c361:
  current->ip = 144;
cb361:
/* receive 160 91 */
  if ((ch_returncode = che_receive(DEF(160),DEF(91),sched)) != Normal)
     goto ch_raise_exception;
  return;
c362:
/* send 43 160 */
  if ((ch_returncode = che_send(DEF(43),DEF(160),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 396 */
   goto c396;
c364:
  current->ip = 146;
cb364:
/* receive 161 92 */
  if ((ch_returncode = che_receive(DEF(161),DEF(92),sched)) != Normal)
     goto ch_raise_exception;
  return;
c365:
/* send 47 161 */
  if ((ch_returncode = che_send(DEF(47),DEF(161),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 396 */
   goto c396;
c367:
  current->ip = 148;
cb367:
/* receive 162 93 */
  if ((ch_returncode = che_receive(DEF(162),DEF(93),sched)) != Normal)
     goto ch_raise_exception;
  return;
c368:
/* send 51 162 */
  if ((ch_returncode = che_send(DEF(51),DEF(162),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 396 */
   goto c396;
c370:
  current->ip = 150;
cb370:
/* receive 163 94 */
  if ((ch_returncode = che_receive(DEF(163),DEF(94),sched)) != Normal)
     goto ch_raise_exception;
  return;
c371:
/* call 55 163.0 163.1 164 , 60 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(55),
          arguments[1] = DEF(163)DOT(0),
          arguments[2] = DEF(163)DOT(1),
          arguments[3] = DEF(164),
          arguments[3+1] = nil,& arguments[0]),QUAL(60),sched)) != Normal)
     goto ch_raise_exception;
  return;
c372:
/* move 128 164 */
  REF(128) = REF(164);
  REF(164).tsdr = & dr_bottom;
/* notequal . 128 =(0) , 378 */
  if ( REF(128).value.integer != 0 ) goto c378;
/* return 163 */
  if (ch_caller = do_return(REF(163).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(163).value);
  REF(163).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c378:
/* return_exception 163 , 61 */
  if (ch_caller = do_return(REF(163).value)) {
    raise_user(QUAL(61),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(163),QUAL(61));
  REF(163).tsdr = & dr_bottom;
/* branch , 396 */
   goto c396;
c380:
  current->ip = 153;
cb380:
/* receive 165 95 */
  if ((ch_returncode = che_receive(DEF(165),DEF(95),sched)) != Normal)
     goto ch_raise_exception;
  return;
c381:
/* send 59 165 */
  if ((ch_returncode = che_send(DEF(59),DEF(165),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 396 */
   goto c396;
c383:
  current->ip = 155;
cb383:
/* receive 166 96 */
  if ((ch_returncode = che_receive(DEF(166),DEF(96),sched)) != Normal)
     goto ch_raise_exception;
  return;
c384:
/* send 63 166 */
  if ((ch_returncode = che_send(DEF(63),DEF(166),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 396 */
   goto c396;
c386:
  current->ip = 157;
cb386:
/* receive 167 97 */
  if ((ch_returncode = che_receive(DEF(167),DEF(97),sched)) != Normal)
     goto ch_raise_exception;
  return;
c387:
/* send 67 167 */
  if ((ch_returncode = che_send(DEF(67),DEF(167),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 396 */
   goto c396;
c389:
  current->ip = 159;
cb389:
/* receive 168 98 */
  if ((ch_returncode = che_receive(DEF(168),DEF(98),sched)) != Normal)
     goto ch_raise_exception;
  return;
c390:
/* send 71 168 */
  if ((ch_returncode = che_send(DEF(71),DEF(168),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 396 */
   goto c396;
c392:
  current->ip = 161;
cb392:
/* receive 169 99 */
  if ((ch_returncode = che_receive(DEF(169),DEF(99),sched)) != Normal)
     goto ch_raise_exception;
  return;
c393:
/* send 75 169 */
  if ((ch_returncode = che_send(DEF(75),DEF(169),sched)) != Normal)
     goto ch_raise_exception;
/* branch , 396 */
   goto c396;
c148:
c395:
/* exit , 45 */
  ch_e = handler_type__exit; ch_val = QUAL(45); goto ch_exception;
c396:
/* discard 104 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).tsdr = & dr_bottom;
/* branch , 145 */
   goto c145;
c398:
/* endblock */
  che_endblock(sched);
/* branch , 443 */
   goto c443;
c400:
/* discard 104 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).tsdr = & dr_bottom;
/* discard 101 */
  (*(REF(101).tsdr)->finalize)(REF(101).value,F_DISCARD,sched);
  REF(101).tsdr = & dr_bottom;
/* discard 108 */
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).tsdr = & dr_bottom;
/* discard 117 */
  (*(REF(117).tsdr)->finalize)(REF(117).value,F_DISCARD,sched);
  REF(117).tsdr = & dr_bottom;
/* discard 120 */
  (*(REF(120).tsdr)->finalize)(REF(120).value,F_DISCARD,sched);
  REF(120).tsdr = & dr_bottom;
/* discard 123 */
  (*(REF(123).tsdr)->finalize)(REF(123).value,F_DISCARD,sched);
  REF(123).tsdr = & dr_bottom;
/* discard 129 */
  (*(REF(129).tsdr)->finalize)(REF(129).value,F_DISCARD,sched);
  REF(129).tsdr = & dr_bottom;
/* discard 139 */
  (*(REF(139).tsdr)->finalize)(REF(139).value,F_DISCARD,sched);
  REF(139).tsdr = & dr_bottom;
/* discard 145 */
  (*(REF(145).tsdr)->finalize)(REF(145).value,F_DISCARD,sched);
  REF(145).tsdr = & dr_bottom;
/* discard 149 */
  (*(REF(149).tsdr)->finalize)(REF(149).value,F_DISCARD,sched);
  REF(149).tsdr = & dr_bottom;
/* discard 151 */
  (*(REF(151).tsdr)->finalize)(REF(151).value,F_DISCARD,sched);
  REF(151).tsdr = & dr_bottom;
/* discard 153 */
  (*(REF(153).tsdr)->finalize)(REF(153).value,F_DISCARD,sched);
  REF(153).tsdr = & dr_bottom;
/* discard 155 */
  (*(REF(155).tsdr)->finalize)(REF(155).value,F_DISCARD,sched);
  REF(155).tsdr = & dr_bottom;
/* discard 156 */
  (*(REF(156).tsdr)->finalize)(REF(156).value,F_DISCARD,sched);
  REF(156).tsdr = & dr_bottom;
/* discard 158 */
  (*(REF(158).tsdr)->finalize)(REF(158).value,F_DISCARD,sched);
  REF(158).tsdr = & dr_bottom;
/* discard 159 */
  (*(REF(159).tsdr)->finalize)(REF(159).value,F_DISCARD,sched);
  REF(159).tsdr = & dr_bottom;
/* discard 160 */
  (*(REF(160).tsdr)->finalize)(REF(160).value,F_DISCARD,sched);
  REF(160).tsdr = & dr_bottom;
/* discard 161 */
  (*(REF(161).tsdr)->finalize)(REF(161).value,F_DISCARD,sched);
  REF(161).tsdr = & dr_bottom;
/* discard 162 */
  (*(REF(162).tsdr)->finalize)(REF(162).value,F_DISCARD,sched);
  REF(162).tsdr = & dr_bottom;
/* discard 163 */
  (*(REF(163).tsdr)->finalize)(REF(163).value,F_DISCARD,sched);
  REF(163).tsdr = & dr_bottom;
/* discard 165 */
  (*(REF(165).tsdr)->finalize)(REF(165).value,F_DISCARD,sched);
  REF(165).tsdr = & dr_bottom;
/* discard 166 */
  (*(REF(166).tsdr)->finalize)(REF(166).value,F_DISCARD,sched);
  REF(166).tsdr = & dr_bottom;
/* discard 167 */
  (*(REF(167).tsdr)->finalize)(REF(167).value,F_DISCARD,sched);
  REF(167).tsdr = & dr_bottom;
/* discard 168 */
  (*(REF(168).tsdr)->finalize)(REF(168).value,F_DISCARD,sched);
  REF(168).tsdr = & dr_bottom;
/* discard 169 */
  (*(REF(169).tsdr)->finalize)(REF(169).value,F_DISCARD,sched);
  REF(169).tsdr = & dr_bottom;
/* equal . 100 =(0) , 431 */
  if ( REF(100).value.enumeration == 0 ) goto c431;
/* equal . 100 =(1) , 433 */
  if ( REF(100).value.enumeration == 1 ) goto c433;
/* branch , 435 */
   goto c435;
c431:
  current->ip = 167;
cb431:
/* call 23 170 , 54 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(23),
          arguments[1] = DEF(170),
          arguments[1+1] = nil,& arguments[0]),QUAL(54),sched)) != Normal)
     goto ch_raise_exception;
  return;
c433:
  current->ip = 169;
cb433:
/* call 27 , 57 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(27),
          arguments[0+1] = nil,& arguments[0]),QUAL(57),sched)) != Normal)
     goto ch_raise_exception;
  return;
c435:
  current->ip = 171;
cb435:
/* call 23 170 , 54 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(23),
          arguments[1] = DEF(170),
          arguments[1+1] = nil,& arguments[0]),QUAL(54),sched)) != Normal)
     goto ch_raise_exception;
  return;
c437:
/* discard 104 */
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).tsdr = & dr_bottom;
/* discard 108 */
  (*(REF(108).tsdr)->finalize)(REF(108).value,F_DISCARD,sched);
  REF(108).tsdr = & dr_bottom;
/* chs_lit 171 , "exit(cantHappen) happened in stdio.buildstream" */
  if( !chs_lit(DEF(171),"exit(cantHappen) happened in stdio.buildstream") )
     goto ch_depletion;
/* print 171 */
  re_print(stderr, 0, DEF(171)); fflush(stderr);
/* discard 171 */
  (*(REF(171).tsdr)->finalize)(REF(171).value,F_DISCARD,sched);
  REF(171).tsdr = & dr_bottom;
c436:
c434:
c432:
c443:
/* endblock */
  che_endblock(sched);
c445:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
